---
updatedAt: 2025-12-15T10:12:50.000Z
agentTools:
  projectIndex: https://developer.onetrust.com/onetrust/llms.txt
---

# Get List of Data Classifications

Use this API to retrieve a list of all existing Data Classifications.

### Example Request

`GET https://{hostname}/api/inventory/v2/data-classifications`

`GET https://trial.onetrust.com/api/inventory/v2/data-classifications`

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "2.0",
    "title": "Privacy Automation - Data Mapping Automation (Swagger)",
    "contact": {}
  },
  "tags": [
    {
      "name": "Personal Data"
    }
  ],
  "paths": {
    "/inventory/v2/data-classifications": {
      "get": {
        "tags": [
          "Personal Data"
        ],
        "summary": "Get List of Data Classifications",
        "operationId": "listAllDataClassificationsUsingGET",
        "parameters": [
          {
            "name": "page",
            "in": "query",
            "description": "The result page to be returned.",
            "required": true,
            "schema": {
              "type": "string",
              "default": "0"
            }
          },
          {
            "name": "size",
            "in": "query",
            "description": "The number of elements to be returned in a page. \n(Note: The maximum size value may differ by API and is subject to change. If a number greater than the maximum is requested, the API will return the maximum allowed value.)",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/OneTrustResponseListDataClassificationResponse"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized"
          },
          "403": {
            "description": "Forbidden"
          },
          "404": {
            "description": "Not Found"
          },
          "429": {
            "description": "Too Many Requests\nFor more information, see [API Rate Limits](https://developer.onetrust.com/onetrust/reference/rate-limits-overview).",
            "headers": {
              "Retry-After": {
                "description": "The number of seconds after which requests will be allowed again.",
                "schema": {
                  "type": "integer",
                  "format": "int32"
                }
              },
              "ot-ratelimit-event-id": {
                "description": "The unique identifier for the rate-limiting event.",
                "schema": {
                  "type": "string",
                  "format": "uuid"
                }
              },
              "ot-requests-allowed": {
                "description": "The number of requests allowed within the specified period.",
                "schema": {
                  "type": "integer",
                  "format": "int32"
                }
              },
              "ot-period": {
                "description": "The unit of time for which the rate limit applies.",
                "schema": {
                  "type": "string",
                  "enum": [
                    "HOUR",
                    "MINUTE"
                  ]
                }
              },
              "ot-request-made": {
                "description": "The number of requests made within the specified period.",
                "schema": {
                  "type": "integer",
                  "format": "int32"
                }
              }
            }
          }
        },
        "description": "Use this API to retrieve a list of all existing Data Classifications.\n\n### Example Request\n\n`GET https://{hostname}/api/inventory/v2/data-classifications`\n\n`GET https://trial.onetrust.com/api/inventory/v2/data-classifications`"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false,
    "metrics-enabled": false,
    "proxy-enabled": true
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "x-onetrust": {
    "spec-label": "Swagger 2",
    "links": {
      "Data Mapping Automation Knowledge Base": "https://my.onetrust.com/s/topic/0TO1Q000000ItRxWAK/data-mapping"
    }
  },
  "servers": [
    {
      "url": "https://customer.my.onetrust.com/api"
    }
  ],
  "components": {
    "securitySchemes": {
      "oauth2": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://{$$.env.host}/api/access/v1/oauth/token",
            "scopes": {
              "INVENTORY_READ": "Read inventory records",
              "INVENTORY_WRITE": "Create and delete inventory records"
            }
          }
        }
      }
    },
    "schemas": {
      "DataClassificationResponse": {
        "type": "object",
        "properties": {
          "description": {
            "type": "string",
            "description": "Description of the Data Classification.",
            "example": "Personal Data"
          },
          "descriptionKey": {
            "type": "string",
            "description": "Unique key for description of the Data Classification.",
            "example": "DataClassificationsPersonalDataDesc"
          },
          "id": {
            "type": "string",
            "description": "Unique Id of the Data Classification.",
            "example": "9fad637c-8548-438e-9a6f-6e38eb2692de"
          },
          "name": {
            "type": "string",
            "description": "Name of the Data Classification.",
            "example": "Personal Data"
          },
          "nameKey": {
            "type": "string",
            "description": "Unique key for the name of the Data Classification.",
            "example": "DataClassificationsPersonalData"
          }
        },
        "title": "DataClassificationResponse"
      },
      "OneTrustMetadata": {
        "type": "object",
        "properties": {
          "page": {
            "$ref": "#/components/schemas/OneTrustPage"
          }
        },
        "title": "OneTrustMetadata"
      },
      "OneTrustPage": {
        "type": "object",
        "properties": {
          "first": {
            "type": "boolean"
          },
          "last": {
            "type": "boolean"
          },
          "number": {
            "type": "integer",
            "format": "int64"
          },
          "size": {
            "type": "integer",
            "format": "int64",
            "example": "1"
          },
          "sort": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/OneTrustSort"
            }
          },
          "totalElements": {
            "type": "integer",
            "format": "int64",
            "example": "1"
          },
          "totalPages": {
            "type": "integer",
            "format": "int64",
            "example": "1"
          }
        },
        "title": "OneTrustPage"
      },
      "OneTrustSort": {
        "type": "object",
        "properties": {
          "direction": {
            "type": "string",
            "enum": [
              "ASC",
              "DESC"
            ]
          },
          "property": {
            "type": "string"
          }
        },
        "title": "OneTrustSort"
      },
      "OneTrustResponseListDataClassificationResponse": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/DataClassificationResponse"
            }
          },
          "errors": {
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "meta": {
            "$ref": "#/components/schemas/OneTrustMetadata"
          }
        },
        "title": "OneTrustResponseListDataClassificationResponse"
      }
    }
  }
}
```

# Sibling pages

* [Get List of Data Elements](https://developer.onetrust.com/onetrust/reference/listalldataelementsusingget.md)